/*************************************************************************
 *                                                                       *
 * Last.fm Player, Copyright (C) 2005 Chris Muehlhaeuser, Last.fm Ltd.   *
 * All rights reserved.  Email: chris@last.fm                            *
 *                                                                       *
 * This library is free software; you can redistribute it and/or         *
 * modify it under the terms of:                                         *
 *                                                                       *
 *      The BSD-style license that is included with this library in      *
 *      the file LICENSE.                                                *
 *                                                                       *
 * This library is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the file     *
 * LICENSE for more details.                                             *
 *                                                                       *
 *************************************************************************/

#ifndef __PROGRESSFRAME__
#define __PROGRESSFRAME__ 1

#include <QObject>
#include <QFrame>

class ProgressFrame : public QFrame
{
    Q_OBJECT

    public:
        ProgressFrame( QWidget *parent = 0 );

        int m_maxValue;
        int m_value;

        void paintEvent ( QPaintEvent * event );

        void setMaximum( int value );
        void setValue( int value );

        int value();

};

#endif
